glib-1.2.1 / gtk-1.2.1 lost and confused....

cajun (cajun@tdl.com)
Sat, 03 Apr 1999 23:46:33 -0800



A couple of days ago I was trying to install a irc app that required the
latest glib / gtk, so I went and got the source from www.gtk.org.  I
believe those installed correctly (the irc app I never got to work so
I'm not sure).

Tonight, I went and got the ascp and installed it.  When I try to run
ascp, I get:

	[root@rattler gtk+-1.2.1]# ascp: error in loading shared libraries
	libgtk.so.1: cannot open shared object file: No such file or directory

	[1]+  Exit 127                ascp
	[root@rattler gtk+-1.2.1]# 

I struggled quite a bit on getting the glib / gtk installed the other
night.  Here's the order I did things in:

	cd /usr/local/lib/glib-1.2.1
	./configure
	make
	make install

	cd /usr/local/lib/gtk-1.2.1
	./configure
	make 
	make install

	ldconfig -v

There were some blurbs at the end of the make about adding
LD_LIBRARY_PATH env variable, but I never found any docs on it. (yes, I
looked at man ld, man ld.so and man anything_else_I_could_find).  

I've done several searches on dejanews, and am still no futher ahead. 
Where am I going wrong ?

Thanks,
Mike

--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html